List a provider's endpoints with provider-wide stats
curl --request GET \
--url https://openrouter.ai/api/v1/providers/{provider_slug}/endpoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://openrouter.ai/api/v1/providers/{provider_slug}/endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openrouter.ai/api/v1/providers/{provider_slug}/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openrouter.ai/api/v1/providers/{provider_slug}/endpoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openrouter.ai/api/v1/providers/{provider_slug}/endpoints"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openrouter.ai/api/v1/providers/{provider_slug}/endpoints")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openrouter.ai/api/v1/providers/{provider_slug}/endpoints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"endpoints": [
{
"endpoint_id": "0198c3f1-7b9a-7c31-a2d4-5e6f7a8b9c0d",
"model_slug": "z-ai/glm-5.3",
"created_at": "2026-08-20T00:00:00.000Z",
"model_permaslug": "z-ai/glm-5.3-20260101",
"provider_model_id": "accounts/fireworks/models/glm-5p3",
"provider_name": "Fireworks",
"provider_region": "us",
"service_tier": "priority",
"test_profile": {
"context_length": 128000,
"default_reasoning_return_mechanism": "content-string",
"effective_adapter_name": "openai",
"endpoint_features": {},
"is_lab_trusted": true,
"model": {
"features": {
"chat_template_config": {
"instruction_role_support": "developer",
"should_hoist_and_merge_system_messages": true,
"supports_mid_session_system": true
},
"reasoning_config": {
"default_reasoning_effort": "max",
"default_reasoning_enabled": true,
"end_token": "<string>",
"is_mandatory_reasoning": true,
"reasoning_return_mechanism": "content-string",
"start_token": "<string>",
"supported_reasoning_efforts": [
"max"
],
"supports_reasoning_effort": true,
"supports_reasoning_max_tokens": true,
"system_prompt": "<string>"
},
"required_input_modalities": [
"text"
]
},
"input_modalities": [
"text"
],
"output_modalities": [
"text"
],
"reasoning_config": {
"default_reasoning_effort": "max",
"default_reasoning_enabled": true,
"end_token": "<string>",
"is_mandatory_reasoning": true,
"reasoning_return_mechanism": "content-string",
"start_token": "<string>",
"supported_reasoning_efforts": [
"max"
],
"supports_reasoning_effort": true,
"supports_reasoning_max_tokens": true,
"system_prompt": "<string>"
},
"slug": "z-ai/glm-5.3",
"supports_reasoning": true
}
},
"variant": "standard",
"visibility": "visible"
}
],
"stats": {
"endpoint_count": 12,
"error_rate_percent": 0.8,
"latency_ms": {
"p50": 123,
"p90": 123
},
"quality_percent": 123,
"rate_limited_percent": 123,
"reliability_percent": 123,
"requests": 120000,
"status": "available",
"throughput_tokens_per_second": {
"p50": 123,
"p90": 123
},
"uptime_percent": 99.2
},
"window": "1d"
}
}{
"error": {
"code": 400,
"message": "Invalid request parameters"
}
}{
"error": {
"code": 401,
"message": "Missing Authentication header"
}
}{
"error": {
"code": 403,
"message": "Only management keys can perform this operation"
}
}{
"error": {
"code": 404,
"message": "Resource not found"
}
}{
"error": {
"code": 429,
"message": "Rate limit exceeded"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}Providers
List a provider's endpoints with provider-wide stats
Returns every endpoint the provider serves, hidden ones included, with the provider-wide uptime, routing, latency and throughput stats over the window. Requires provider ownership, membership, or admin access.
GET
/
providers
/
{provider_slug}
/
endpoints
List a provider's endpoints with provider-wide stats
curl --request GET \
--url https://openrouter.ai/api/v1/providers/{provider_slug}/endpoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://openrouter.ai/api/v1/providers/{provider_slug}/endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openrouter.ai/api/v1/providers/{provider_slug}/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openrouter.ai/api/v1/providers/{provider_slug}/endpoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openrouter.ai/api/v1/providers/{provider_slug}/endpoints"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openrouter.ai/api/v1/providers/{provider_slug}/endpoints")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openrouter.ai/api/v1/providers/{provider_slug}/endpoints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"endpoints": [
{
"endpoint_id": "0198c3f1-7b9a-7c31-a2d4-5e6f7a8b9c0d",
"model_slug": "z-ai/glm-5.3",
"created_at": "2026-08-20T00:00:00.000Z",
"model_permaslug": "z-ai/glm-5.3-20260101",
"provider_model_id": "accounts/fireworks/models/glm-5p3",
"provider_name": "Fireworks",
"provider_region": "us",
"service_tier": "priority",
"test_profile": {
"context_length": 128000,
"default_reasoning_return_mechanism": "content-string",
"effective_adapter_name": "openai",
"endpoint_features": {},
"is_lab_trusted": true,
"model": {
"features": {
"chat_template_config": {
"instruction_role_support": "developer",
"should_hoist_and_merge_system_messages": true,
"supports_mid_session_system": true
},
"reasoning_config": {
"default_reasoning_effort": "max",
"default_reasoning_enabled": true,
"end_token": "<string>",
"is_mandatory_reasoning": true,
"reasoning_return_mechanism": "content-string",
"start_token": "<string>",
"supported_reasoning_efforts": [
"max"
],
"supports_reasoning_effort": true,
"supports_reasoning_max_tokens": true,
"system_prompt": "<string>"
},
"required_input_modalities": [
"text"
]
},
"input_modalities": [
"text"
],
"output_modalities": [
"text"
],
"reasoning_config": {
"default_reasoning_effort": "max",
"default_reasoning_enabled": true,
"end_token": "<string>",
"is_mandatory_reasoning": true,
"reasoning_return_mechanism": "content-string",
"start_token": "<string>",
"supported_reasoning_efforts": [
"max"
],
"supports_reasoning_effort": true,
"supports_reasoning_max_tokens": true,
"system_prompt": "<string>"
},
"slug": "z-ai/glm-5.3",
"supports_reasoning": true
}
},
"variant": "standard",
"visibility": "visible"
}
],
"stats": {
"endpoint_count": 12,
"error_rate_percent": 0.8,
"latency_ms": {
"p50": 123,
"p90": 123
},
"quality_percent": 123,
"rate_limited_percent": 123,
"reliability_percent": 123,
"requests": 120000,
"status": "available",
"throughput_tokens_per_second": {
"p50": 123,
"p90": 123
},
"uptime_percent": 99.2
},
"window": "1d"
}
}{
"error": {
"code": 400,
"message": "Invalid request parameters"
}
}{
"error": {
"code": 401,
"message": "Missing Authentication header"
}
}{
"error": {
"code": 403,
"message": "Only management keys can perform this operation"
}
}{
"error": {
"code": 404,
"message": "Resource not found"
}
}{
"error": {
"code": 429,
"message": "Rate limit exceeded"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}Authorizations
API key as bearer token in Authorization header
Path Parameters
URL-friendly provider identifier (e.g. "openai", "fireworks")
Example:
"fireworks"
Query Parameters
Time window the provider-wide stats cover
Available options:
1hr, 1d, 1w, 1mo, 1y Example:
"1d"
Workload the latency and throughput stats measure; defaults to the workload most of the endpoints serve
Available options:
text_generation, image_generation, video_generation, embeddings, rerank, tts, stt, decisions, extractions, unknown Example:
"text_generation"
Response
The provider's endpoints and provider-wide stats
Show child attributes
Show child attributes
Was this page helpful?